# Generate Blog Content POST /api/v1/publications/blogs/{blog_id}/generate/ Content-Type: application/json Trigger content generation for a blog. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/publications/blogs-generate-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/publications/blogs/{blog_id}/generate/: post: operationId: blogs-generate-create summary: Generate Blog Content description: Trigger content generation for a blog. tags: - subpackage_publications parameters: - name: blog_id in: path required: true schema: type: integer responses: '200': description: Content generation started successfully content: application/json: schema: $ref: >- #/components/schemas/publications_blogsGenerateCreate_Response_200 '400': description: Invalid request or generation already in progress content: application/json: schema: description: Any type '403': description: Permission denied content: application/json: schema: description: Any type '404': description: Blog not found content: application/json: schema: description: Any type requestBody: content: application/json: schema: $ref: '#/components/schemas/BlogGeneration' components: schemas: FormatTypeEnum: type: string enum: - Summary - Detailed Notes - Bullet Points - Q&A - Insight-Driven description: |- * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven title: FormatTypeEnum BlogGeneration: type: object properties: format_type: $ref: '#/components/schemas/FormatTypeEnum' description: |- Format type for content generation (Summary, Detailed Notes, etc.) * `Summary` - Summary * `Detailed Notes` - Detailed Notes * `Bullet Points` - Bullet Points * `Q&A` - Q&A * `Insight-Driven` - Insight-Driven llm_prompt: type: - string - 'null' description: Optional custom instructions for content generation description: Serializer for blog content generation/regeneration request. title: BlogGeneration publications_blogsGenerateCreate_Response_200: type: object properties: {} description: Empty response body title: publications_blogsGenerateCreate_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://api.example.com/api/v1/publications/blogs/1/generate/" payload = {} headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.example.com/api/v1/publications/blogs/1/generate/'; const options = {method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{}'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/publications/blogs/1/generate/" payload := strings.NewReader("{}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/publications/blogs/1/generate/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/publications/blogs/1/generate/") .header("Content-Type", "application/json") .body("{}") .asString(); ``` ```php request('POST', 'https://api.example.com/api/v1/publications/blogs/1/generate/', [ 'body' => '{}', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.example.com/api/v1/publications/blogs/1/generate/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = [] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/publications/blogs/1/generate/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```